require "import"
import "android.bluetooth.BluetoothAdapter"
import "android.media.MediaPlayer"
import "android.net.Uri"

local userName = "Zafar"

local bt = BluetoothAdapter.getDefaultAdapter()

if bt == nil then
    this.speak(userName .. ", Bluetooth is not supported on this device!")
else
    if bt.isEnabled() == true then
        bt.disable()
        this.speak(userName .. " Bluetooth is now OFF.")
        local offSound = MediaPlayer.create(this, Uri.parse("android.resource://com.example.yourappname/raw/off_sound"))
        if offSound ~= nil then
            offSound.start()
        end
    else
        bt.enable()
        this.speak(userName .. " Bluetooth is now ON.")
        local onSound = MediaPlayer.create(this, Uri.parse("android.resource://com.example.yourappname/raw/on_sound"))
        if onSound ~= nil then
            onSound.start()
        end
    end
end